--- old/usr/src/tools/scripts/git-pbchk.py	Thu Jan 31 09:40:54 2019
+++ new/usr/src/tools/scripts/git-pbchk.py	Thu Jan 31 09:40:54 2019
@@ -125,7 +125,7 @@
 
     if not p:
         sys.stderr.write("Failed finding git parent branch\n")
-        sys.exit(err)
+        sys.exit(1)
 
     for line in p:
         # Git 1.7 will leave a ' ' trailing any non-tracking branch
@@ -141,8 +141,8 @@
     p = git('log --pretty=tformat:%%B:SEP: %s..' % parent)
 
     if not p:
-        sys.stderr.write("Failed getting git comments\n")
-        sys.exit(err)
+        sys.stderr.write("No outgoing changesets found - missing -p option?\n");
+        sys.exit(1)
 
     return [x.strip() for x in p if x != ':SEP:\n']
 
@@ -157,7 +157,7 @@
 
     if not p:
         sys.stderr.write("Failed building file-list from git\n")
-        sys.exit(err)
+        sys.exit(1)
 
     ret = set()
     for fname in p:
